Package Details: tlauncher 1:1.154.2-4

Git Clone URL: https://aur.archlinux.org/tlauncher.git (read-only, click to copy)
Package Base: tlauncher
Description: Freeware Minecraft launcher
Upstream URL: https://tlaun.ch
Keywords: launcher minecraft tl turikhay
Licenses: custom
Submitter: mcmodder
Maintainer: mcmodder (tln4-bot)
Last Packager: tln4-bot
Votes: 19
Popularity: 1.90
First Submitted: 2021-07-11 23:58 (UTC)
Last Updated: 2022-12-02 16:13 (UTC)

Dependencies (2)

Required by (0)

Sources (43)

Latest Comments

1 2 Next › Last »

mcmodder commented on 2022-10-10 11:48 (UTC)

@SergSel2006 This package is actually 7 years old (see git log), so renaming it will break all existing user installations

SergSel2006 commented on 2022-10-10 11:41 (UTC)

As site says, this is TLauncher Legacy, so name should be tlauncher-legacy or tl-legacy I think

mcmodder commented on 2021-12-31 01:56 (UTC)

  1. Yes (your package is not a pre-compiled version of this, it's other software; -bin suffix is obsolete for Java program packages)
  2. IMHO "tlauncher-org" is the most self-descriptive name for your package, but I may be wrong

Nomz commented on 2021-12-29 16:04 (UTC)

Should I change tlauncher-bin package name to something else? If yes then should it be named tlauncher2 or tlauncherorg?

mcmodder commented on 2021-12-24 18:46 (UTC) (edited on 2021-12-24 19:01 (UTC) by mcmodder)

Please advise it tlauncher-bin package maintainer because he created this confusion by incorrectly naming his package (tlauncher-bin instead of tlauncher2 or tlauncherorg). Also he copied description from this package to create more confusion and changed it only after deletion request by somebody confused.

P.S. This package exists longer that both tlauncher-bin package and tlauncher2.x as a program (see git log), so I think my package is named correctly and will not rename it.

ainola commented on 2021-12-24 18:19 (UTC)

Since there's another product with the name tlauncher, this can cause confusion (presently there's two packages: tlauncher and tlauncher-bin). Both packages should probably change their names to be more descriptive of the actual package they represent.

To that end, I advise the maintainer to upload a new package with a better name and then submit a request to have this package merged with the new package.

trb.exe commented on 2021-11-20 06:16 (UTC)

Good launcher for playing minecraft without license

mcmodder commented on 2021-09-25 20:33 (UTC) (edited on 2021-09-25 22:18 (UTC) by mcmodder)

Seems this package should be renamed to tlauncher-legacy

Renaming this package will cause disadvantages for package users.

Also, this package is older that whole tlauncher 2.x is (dont mind package creation date in AUR, see git log)

artemklevtsov commented on 2021-09-25 12:23 (UTC)

Seems this package should be renamed to tlauncher-legacy.

aquilarubra commented on 2021-07-01 05:56 (UTC)

Thank you. I know tlauncher advertised requirements, but it works flawlessly with jre-openjdk version 11. It is better to use the latest version, since it is compatible.